Subject: [RFC-resend 0/2] compat: in_compat_syscall() differs on x86

From: Dmitry Safonov <[email-masked]>
Date: Fri, 12 Oct 2018 14:42:51 +0100

Reading xfrm (ipsec) code I've found such code:

: #ifdef CONFIG_COMPAT
:         if (in_compat_syscall())
:                 return -EOPNOTSUPP;
: #endif

While I can read that it's false on native i386, it's a bit misleading
and in result it's better to introduce a helper for that.
Grepping other code, I've found that there are already such helpers.
And the uniq behavior of in_compat_syscall() on x86 is disturbing.

Adjusting it to generic with the following..

(on the first non-resend RFC I managed to forget Cc'ing Andy..
 sorry about that, was sure I did add him).

Cc: Ard Biesheuvel <[email-masked]>
Cc: Andy Lutomirsky <[email-masked]>
Cc: "David S. Miller" <[email-masked]>
Cc: Herbert Xu <[email-masked]>
Cc: "H. Peter Anvin" <[email-masked]>
Cc: Ingo Molnar <[email-masked]>
Cc: John Stultz <[email-masked]>
Cc: "Kirill A. Shutemov" <[email-masked]>
Cc: Oleg Nesterov <[email-masked]>
Cc: Steffen Klassert <[email-masked]>
Cc: Stephen Boyd <[email-masked]>
Cc: Steven Rostedt <[email-masked]>
Cc: Thomas Gleixner <[email-masked]>
Cc: [email-masked]
Cc: [email-masked]
Cc: [email-masked]
Cc: Dmitry Safonov <[email-masked]>

Dmitry Safonov (2):
  x86/compat: Adjust in_compat_syscall() to generic code under !COMPAT
  compat: Cleanup in_compat_syscall() callers

 arch/x86/include/asm/compat.h  |  9 ++++++++-
 arch/x86/include/asm/ftrace.h  |  4 +---
 arch/x86/kernel/process_64.c   |  4 ++--
 arch/x86/kernel/sys_x86_64.c   | 11 ++++++-----
 arch/x86/mm/hugetlbpage.c      |  4 ++--
 arch/x86/mm/mmap.c             |  2 +-
 drivers/firmware/efi/efivars.c | 16 ++++------------
 include/linux/compat.h         |  4 ++--
 kernel/time/time.c             |  2 +-
 net/xfrm/xfrm_state.c          |  2 --
 net/xfrm/xfrm_user.c           |  2 --
 11 files changed, 27 insertions(+), 33 deletions(-)

-- 
2.13.6